misagent_client_free
misagent_client_new
misagent_client_start_service
misagent_client_t
misagent_copy
misagent_copy_all
misagent_error_t
misagent_get_status_code
misagent_install
misagent_remove
MISAGENT_SERVICE_NAME

## misagent_copy_all()

LIBIMOBILEDEVICE_API misagent_error_t misagent_copy_all | ( | misagent_client_t | client,
|  | plist_t * | profiles )

Retrieves all installed provisioning profiles (iOS 9.3 or higher).

Parameters

  client | The connected misagent to use.
  profiles | Pointer to a plist_t that will be set to a PLIST_ARRAY if the function is successful.

Returns
  MISAGENT_E_SUCCESS on success, MISAGENT_E_INVALID_ARG when client is invalid, or an MISAGENT_E_* error code otherwise.

Note
  This API call only works with iOS 9.3 or higher. For older iOS versions use misagent_copy() instead.
  If no provisioning profiles are installed on the device, this function still returns MISAGENT_E_SUCCESS and profiles will just point to an empty array.